package com.steering.pss.ydm.Stuffmanage.Entity;
/**
 * 数据库表QCM_LG_SURFACE_C所对应的实体类（生成工具：代码生成器2.4）
 * @author DM22222   date 2015-11-26
 */
public class QcmLgSurfaceCEntity {
    /**
     * 缺陷记录编号
     */
    private String bugNo;
    /**
     * 材料号（坯号）
     */
    private String matNo;
    /**
     * 缺陷编码1
     */
    private String bugCode1;
    /**
     * 缺陷名称1
     */
    private String bugName1;
    /**
     * 缺陷编码2
     */
    private String bugCode2;
    /**
     * 缺陷名称2
     */
    private String bugName2;
    /**
     * 缺陷编码3
     */
    private String bugCode3;
    /**
     * 缺陷名称3
     */
    private String bugName3;
    /**
     * 缺陷编码4
     */
    private String bugCode4;
    /**
     * 缺陷名称4
     */
    private String bugName4;
    /**
     * 缺陷编码5
     */
    private String bugCode5;
    /**
     * 缺陷名称5
     */
    private String bugName5;
    /**
     * 材料支数(实际)
     */
    private String actCount;
    /**
     * 材料实重(实际)
     */
    private String actWeight;
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 有效标志
     */
    private String validflag;
    /**
     * 检验说明
     */
    private String memo;
    /**
     * 缺陷位置编码
     */
    private String bugPosCode;
    /**
     * 缺陷位置名称
     */
    private String bugPosName;
    /**
     * 计划规格
     */
    private String actDimater;  
    /**
     * 检验规格
     */
	private String checkDimater;

	/**
	 * 计划长度
	 */
	private String actLen;
	
	/**
	 * 检验长度
	 */
	private String checkLen;
	
	public QcmLgSurfaceCEntity(){
		actDimater = "";
		checkDimater = "";
		actLen = "";
		checkLen = "";
        bugNo = "";
        matNo = "";
        bugCode1 = "";
        bugName1 = "";
        bugCode2 = "";
        bugName2 = "";
        bugCode3 = "";
        bugName3 = "";
        bugCode4 = "";
        bugName4 = "";
        bugCode5 = "";
        bugName5 = "";
        actCount = "";
        actWeight = "";
        actTheoryWeight = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        validflag = "";
        memo = "";
        bugPosCode = "";
        bugPosName = "";
    }
	/**
	 * 计划长度
	 * @return
	 */
	public String getActLen() {
		return actLen;
	}
	public void setActLen(String actLen) {
		this.actLen = actLen;
	}

	/**
	 * 检验长度
	 * @return
	 */
	public String getCheckLen() {
		return checkLen;
	}
	public void setCheckLen(String checkLen) {
		this.checkLen = checkLen;
	}
	/**
	 * 计划规格
	 * @return
	 */
	public String getActDimater() {
		return actDimater;
	}

	public void setActDimater(String actDimater) {
		this.actDimater = actDimater;
	}

	/**
	 * 检验规格
	 * 
	 * @return
	 */
	public String getCheckDimater() {
		return checkDimater;
	}

	public void setCheckDimater(String checkDimater) {
		this.checkDimater = checkDimater;
	}
    /**
     * 缺陷记录编号
     * @return value
     */
    public String getBugNo() {
        return bugNo;
    }

    /**
     * 缺陷记录编号
     * @param bugNo value
     */
    public void setBugNo(String bugNo) {
        this.bugNo = bugNo;
    }

    /**
     * 材料号（坯号）
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（坯号）
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 缺陷编码1
     * @return value
     */
    public String getBugCode1() {
        return bugCode1;
    }

    /**
     * 缺陷编码1
     * @param bugCode1 value
     */
    public void setBugCode1(String bugCode1) {
        this.bugCode1 = bugCode1;
    }

    /**
     * 缺陷名称1
     * @return value
     */
    public String getBugName1() {
        return bugName1;
    }

    /**
     * 缺陷名称1
     * @param bugName1 value
     */
    public void setBugName1(String bugName1) {
        this.bugName1 = bugName1;
    }

    /**
     * 缺陷编码2
     * @return value
     */
    public String getBugCode2() {
        return bugCode2;
    }

    /**
     * 缺陷编码2
     * @param bugCode2 value
     */
    public void setBugCode2(String bugCode2) {
        this.bugCode2 = bugCode2;
    }

    /**
     * 缺陷名称2
     * @return value
     */
    public String getBugName2() {
        return bugName2;
    }

    /**
     * 缺陷名称2
     * @param bugName2 value
     */
    public void setBugName2(String bugName2) {
        this.bugName2 = bugName2;
    }

    /**
     * 缺陷编码3
     * @return value
     */
    public String getBugCode3() {
        return bugCode3;
    }

    /**
     * 缺陷编码3
     * @param bugCode3 value
     */
    public void setBugCode3(String bugCode3) {
        this.bugCode3 = bugCode3;
    }

    /**
     * 缺陷名称3
     * @return value
     */
    public String getBugName3() {
        return bugName3;
    }

    /**
     * 缺陷名称3
     * @param bugName3 value
     */
    public void setBugName3(String bugName3) {
        this.bugName3 = bugName3;
    }

    /**
     * 缺陷编码4
     * @return value
     */
    public String getBugCode4() {
        return bugCode4;
    }

    /**
     * 缺陷编码4
     * @param bugCode4 value
     */
    public void setBugCode4(String bugCode4) {
        this.bugCode4 = bugCode4;
    }

    /**
     * 缺陷名称4
     * @return value
     */
    public String getBugName4() {
        return bugName4;
    }

    /**
     * 缺陷名称4
     * @param bugName4 value
     */
    public void setBugName4(String bugName4) {
        this.bugName4 = bugName4;
    }

    /**
     * 缺陷编码5
     * @return value
     */
    public String getBugCode5() {
        return bugCode5;
    }

    /**
     * 缺陷编码5
     * @param bugCode5 value
     */
    public void setBugCode5(String bugCode5) {
        this.bugCode5 = bugCode5;
    }

    /**
     * 缺陷名称5
     * @return value
     */
    public String getBugName5() {
        return bugName5;
    }

    /**
     * 缺陷名称5
     * @param bugName5 value
     */
    public void setBugName5(String bugName5) {
        this.bugName5 = bugName5;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 有效标志
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 检验说明
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 检验说明
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 缺陷位置编码
     * @return value
     */
    public String getBugPosCode() {
        return bugPosCode;
    }

    /**
     * 缺陷位置编码
     * @param bugPosCode value
     */
    public void setBugPosCode(String bugPosCode) {
        this.bugPosCode = bugPosCode;
    }

    /**
     * 缺陷位置名称
     * @return value
     */
    public String getBugPosName() {
        return bugPosName;
    }

    /**
     * 缺陷位置名称
     * @param bugPosName value
     */
    public void setBugPosName(String bugPosName) {
        this.bugPosName = bugPosName;
    }
}

